"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("react");
require("react/jsx-runtime");
const memoize = require("../../../core/utils/memoize/memoize.cjs");
require("clsx");
const getAllCheckedNodes = require("../get-all-checked-nodes/get-all-checked-nodes.cjs");
function isNodeIndeterminate(value, data, checkedState) {
  if (checkedState.length === 0) {
    return false;
  }
  const checkedNodes = getAllCheckedNodes.getAllCheckedNodes(data, checkedState).result;
  return checkedNodes.some((node) => node.value === value && node.indeterminate);
}
const memoizedIsNodeIndeterminate = memoize.memoize(isNodeIndeterminate);
exports.isNodeIndeterminate = isNodeIndeterminate;
exports.memoizedIsNodeIndeterminate = memoizedIsNodeIndeterminate;
